Skip to main content
GET
/
v1
/
webhooks
/
{id}
/
deliveries
Get webhook deliveries
curl --request GET \
  --url https://api.emailr.dev/v1/webhooks/{id}/deliveries \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "event_type": "<string>",
    "payload": {},
    "response_status": 123,
    "response_body": "<string>",
    "attempt_count": 123,
    "delivered_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Use your API key as the bearer token.

Path Parameters

id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

List of webhook deliveries

id
string<uuid>
required
webhook_id
string<uuid>
required
event_type
string
required
payload
object
required
response_status
number | null
required
response_body
string | null
required
attempt_count
number
required
delivered_at
string<date-time> | null
required
created_at
string<date-time>
required